## ESourceLDAP

ESourceLDAP

## Functions

ESourceLDAPAuthentication | e_source_ldap_get_authentication ()
void | e_source_ldap_set_authentication ()
gboolean | e_source_ldap_get_can_browse ()
void | e_source_ldap_set_can_browse ()
const gchar * | e_source_ldap_get_filter ()
gchar * | e_source_ldap_dup_filter ()
void | e_source_ldap_set_filter ()
guint | e_source_ldap_get_limit ()
void | e_source_ldap_set_limit ()
const gchar * | e_source_ldap_get_root_dn ()
gchar * | e_source_ldap_dup_root_dn ()
void | e_source_ldap_set_root_dn ()
ESourceLDAPScope | e_source_ldap_get_scope ()
void | e_source_ldap_set_scope ()
ESourceLDAPSecurity | e_source_ldap_get_security ()
void | e_source_ldap_set_security ()

## Types and Values

#define | E_SOURCE_EXTENSION_LDAP_BACKEND

## Object Hierarchy

        GObject
        ╰── ESourceExtension
            ╰── ESourceLDAP

## Description

## Functions

### e_source_ldap_get_authentication ()

    ESourceLDAPAuthentication
    e_source_ldap_get_authentication (ESourceLDAP *extension);

### e_source_ldap_set_authentication ()

    void
    e_source_ldap_set_authentication (ESourceLDAP *extension,
                                      ESourceLDAPAuthentication authentication);

### e_source_ldap_get_can_browse ()

    gboolean
    e_source_ldap_get_can_browse (ESourceLDAP *extension);

### e_source_ldap_set_can_browse ()

    void
    e_source_ldap_set_can_browse (ESourceLDAP *extension,
                                  gboolean can_browse);

### e_source_ldap_get_filter ()

    const gchar *
    e_source_ldap_get_filter (ESourceLDAP *extension);

### e_source_ldap_dup_filter ()

    gchar *
    e_source_ldap_dup_filter (ESourceLDAP *extension);

### e_source_ldap_set_filter ()

    void
    e_source_ldap_set_filter (ESourceLDAP *extension,
                              const gchar *filter);

### e_source_ldap_get_limit ()

    guint
    e_source_ldap_get_limit (ESourceLDAP *extension);

### e_source_ldap_set_limit ()

    void
    e_source_ldap_set_limit (ESourceLDAP *extension,
                             guint limit);

### e_source_ldap_get_root_dn ()

    const gchar *
    e_source_ldap_get_root_dn (ESourceLDAP *extension);

### e_source_ldap_dup_root_dn ()

    gchar *
    e_source_ldap_dup_root_dn (ESourceLDAP *extension);

### e_source_ldap_set_root_dn ()

    void
    e_source_ldap_set_root_dn (ESourceLDAP *extension,
                               const gchar *root_dn);

### e_source_ldap_get_scope ()

    ESourceLDAPScope
    e_source_ldap_get_scope (ESourceLDAP *extension);

### e_source_ldap_set_scope ()

    void
    e_source_ldap_set_scope (ESourceLDAP *extension,
                             ESourceLDAPScope scope);

### e_source_ldap_get_security ()

    ESourceLDAPSecurity
    e_source_ldap_get_security (ESourceLDAP *extension);

### e_source_ldap_set_security ()

    void
    e_source_ldap_set_security (ESourceLDAP *extension,
                                ESourceLDAPSecurity security);

## Types and Values

### E_SOURCE_EXTENSION_LDAP_BACKEND

    #define E_SOURCE_EXTENSION_LDAP_BACKEND "LDAP Backend"

Pass this extension name to `e_source_get_extension()` to access ESourceLDAP. This is also used as a group name in key files.

Since: 3.18